/*
	File:		ObjModelEvents.h

	Contains:	Apple Event handlers interface

	Developed by:	
		
		Paul G Smith (commstalk hq & Full Moon Software, Inc)
		
		you can leave messages at (UK): 0727 844232; (US): 408 253 7199
		BUT I prefer to be contacted by e-mail
		AppleLink: 	SMITH.PG
		Internet: 	SMITH.PG@applelink.apple.com
		
		"SimpliFace" Sample code to accompany develop article
		on techniques for embedding scripts in applications.


	Apple Event handlers for SimpliFace

*/

#ifndef __AEOMEVENTS__
#define __AEOMEVENTS__


#ifndef __APPLEEVENTS__
#include "AppleEvents.h"
#endif

#ifndef __PASCALSTRING__
#include <PascalString.h>
#endif


// installation

pascal OSErr InstallEventHandlers(void);

pascal OSErr DeInstallEventHandlers(void);


OSErr GetCurrentAppFileSpec(short *vRefNum, long *dirID, StringPtr fileName);

void GetCurrAppName(CStr255& appName);


// special Apple Events

static	pascal OSErr GetAETEAEvtHandler (AppleEvent *theEvent, 
										AppleEvent *theReply, 
										long theRefCon);


// object model Apple Events
	
static	pascal OSErr StdAEvtPreHandler (AppleEvent *theEvent, 
										AppleEvent *theReply, 
										long theRefCon);
	
static	pascal OSErr RqdAEvtHandler	   (AppleEvent *theEvent, 
										AppleEvent *theReply, 
										long theRefCon);

static	pascal OSErr StdAEvtHandler	   (AppleEvent *theEvent, 
										AppleEvent *theReply, 
										long theRefCon);

static  pascal Boolean StdIdleFunction (EventRecord *theEventRecord,
										long *sleepTime,
										RgnHandle *mouseRgn);


// -------------------------------------------------------

#endif
